Description: "Add info to use colours and bars."
Forwarded: no
Author: "Kai Hendry <hendry@cs.helsinki.fi>"
Last-Update: 2016-02-29
--- a/scripts/sysinfo_dg.pl
+++ b/scripts/sysinfo_dg.pl
@@ -17,6 +17,46 @@ $VERSION = "1.3";
 #if you edit it and think the change is worthwhile tell me and i may add it into
 #the script and credit you
 
+#[Reference: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=182829]
+#There are several scripts, the ones for irssi and xchat will add a /sysinfo
+#command, the command line options talked about below are used after the
+#/sysinfo command.  #The command line version can run like /exec -o
+#~/sysinfo-cmd.pl from an irc client such as epic. You could easily add /alias
+#sysinfo /exec -o ~/sysinfo-cmd.pl to get the /sysinfo command.
+#
+#The simple use is /sysinfo but there are lots more options to use ;-)
+#
+#Command options:
+#
+#Firstly there is an optional parameter that turns colours and graphs on, and
+#also lets you change them. It begins with - and the options are placed after it
+#with no spaces.
+#-cTurn colour on
+#-gTurn graphs on
+#-c??Turn colour on and sets the colour to ?? (standard irc colours)
+#-C??Sets the second colour to ??
+#-g??Turn graphs on and sets the colour to ?? (standard irc colours)
+#-G??Sets the second graph colour to ??
+#
+#Examples:
+#-g Turns graphs on with no colour
+#-cg Turns colour and graphs on
+#-c2C12g12G2 Does a nice blue colour scheme
+#
+#After the options you can tell it what type of information to display, there
+#are several types set or you can put the names of the sections you want to
+#display.
+#
+#The default names are: std, bigger, full, net, uptime, use.
+#The section names are: host, os, up, cpu, cache, mem, users, load, procs, swap,
+#disk, video, ethernet and also the name of any network devices (eth0, ppp0 for
+#example).
+#
+#Examples:
+#/sysinfo bigger
+#/sysinfo -c2C12g12G2 os up cpu mem disk
+#/sysinfo -g use
+
 use vars qw/$colour $graphs $graphs2 $colour2 $style/;
 Irssi::command_bind("sysinfo","sysinfo");
 
